Package fr.gouv.vitam.storage.offers.rest

# Class OfferConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.storage.offers.rest.OfferConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class OfferConfiguration extends DbConfigurationImpl
Offer configuration

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfferConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBatchMetadataComputationTimeout()`
  `String`
  `getContextPath()`
  `int`
  `getMaxBatchThreadPoolSize()`
  `OfferLogCompactionConfiguration`
  `getOfferLogCompactionConfiguration()`
  `String`
  `getProvider()`
  `String`
  `getStoragePath()`
  `boolean`
  `isAuthentication()`
  getter authentication
  `boolean`
  `isCleanupObjectsOnWriteError()`
  `OfferConfiguration`
  `setAuthentication(boolean authentication)`
  `OfferConfiguration`
  `setBatchMetadataComputationTimeout(int batchMetadataComputationTimeout)`
  `OfferConfiguration`
  `setCleanupObjectsOnWriteError(boolean cleanupObjectsOnWriteError)`
  `OfferConfiguration`
  `setContextPath(String contextPath)`
  `OfferConfiguration`
  `setMaxBatchThreadPoolSize(int maxBatchThreadPoolSize)`
  `OfferConfiguration`
  `setOfferLogCompactionConfiguration(OfferLogCompactionConfiguration offerLogCompactionConfiguration)`
  `OfferConfiguration`
  `setProvider(String provider)`
  `OfferConfiguration`
  `setStoragePath(String storagePath)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, getJettyConfig, isTenantFilter, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### OfferConfiguration

    public OfferConfiguration()

- ## Method Details

  - ### getProvider

    public String getProvider()
    Returns:
      the provider

  - ### setProvider

    public OfferConfiguration setProvider(String provider)
    Parameters:
      `provider` - the provider to set
    Returns:
      this

  - ### getStoragePath

    public String getStoragePath()
    Returns:
      the storagePath

  - ### setStoragePath

    public OfferConfiguration setStoragePath(String storagePath)
    Parameters:
      `storagePath` - the storagePath to set
    Returns:
      this

  - ### getContextPath

    public String getContextPath()
    Returns:
      the contextPath

  - ### setContextPath

    public OfferConfiguration setContextPath(String contextPath)
    Parameters:
      `contextPath` - the contextPath to set
    Returns:
      this

  - ### isAuthentication

    public boolean isAuthentication()
    Description copied from interface: `VitamApplicationConfigurationInterface`
    getter authentication
    Specified by:
      `isAuthentication` in interface `VitamApplicationConfigurationInterface`
    Overrides:
      `isAuthentication` in class `DefaultVitamApplicationConfiguration`
    Returns:
      boolean

  - ### setAuthentication

    public OfferConfiguration setAuthentication(boolean authentication)
    Specified by:
      `setAuthentication` in interface `VitamApplicationConfigurationInterface`
    Overrides:
      `setAuthentication` in class `DefaultVitamApplicationConfiguration`
    Parameters:
      `authentication` - to set or unset
    Returns:
      OfferConfiguration

  - ### getOfferLogCompactionConfiguration

    public OfferLogCompactionConfiguration getOfferLogCompactionConfiguration()

  - ### setOfferLogCompactionConfiguration

    public OfferConfiguration setOfferLogCompactionConfiguration(OfferLogCompactionConfiguration offerLogCompactionConfiguration)

  - ### getMaxBatchThreadPoolSize

    public int getMaxBatchThreadPoolSize()

  - ### setMaxBatchThreadPoolSize

    public OfferConfiguration setMaxBatchThreadPoolSize(int maxBatchThreadPoolSize)

  - ### getBatchMetadataComputationTimeout

    public int getBatchMetadataComputationTimeout()

  - ### setBatchMetadataComputationTimeout

    public OfferConfiguration setBatchMetadataComputationTimeout(int batchMetadataComputationTimeout)

  - ### isCleanupObjectsOnWriteError

    public boolean isCleanupObjectsOnWriteError()

  - ### setCleanupObjectsOnWriteError

    public OfferConfiguration setCleanupObjectsOnWriteError(boolean cleanupObjectsOnWriteError)